picard.illumina.parser.readers

## Class TileMetricsOutReader

- java.lang.Object
- - picard.illumina.parser.readers.TileMetricsOutReader

- All Implemented Interfaces:
    Iterator<TileMetricsOutReader.IlluminaTileMetrics>

      public class TileMetricsOutReader
      extends Object
      implements Iterator<TileMetricsOutReader.IlluminaTileMetrics>

  Reads a TileMetricsOut file commonly found in the InterOp directory of an Illumina Run Folder. This reader DOES NOT try to interpret the metrics code or metrics value but instead returns them in what is essentially a struct. File Format: byte 0 (unsigned byte) = The version number which MUST be 2 or an exception will be thrown byte 1 (unsigned byte) = The record size which must be 10 or an exception will be thrown bytes 3 + (current_record * 10) to (current_record * 10 + 10) (TileMetrics Record) = The actual records each of size 10 that get converted into IlluminaPhasingMetrics objects TileMetrics Record Format: Each 10 byte record is of the following format: byte 0-1 (unsigned short) = lane number byte 2-3 (unsigned short) = tile number byte 4-5 (unisgned short) = metrics code, see Theory of RTA document by Illumina for definition byte 6-9 (float) = metrics value, see Theory of RTA document by Illumina for definition

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TileMetricsOutReader.IlluminaLaneTileCode` Helper class which captures the combination of a lane, tile & metric code
    `static class` | `TileMetricsOutReader.IlluminaTileMetrics` IlluminaPhasingMetrics corresponds to a single record in a TileMetricsOut file

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileMetricsOutReader(File tileMetricsOutFile)` Return a TileMetricsOutReader for the specified file

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `TileMetricsOutReader.IlluminaTileMetrics` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### TileMetricsOutReader

          public TileMetricsOutReader(File tileMetricsOutFile)

      Return a TileMetricsOutReader for the specified file
      Parameters:
        `tileMetricsOutFile` - The file to read

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<TileMetricsOutReader.IlluminaTileMetrics>`

    - #### next

          public TileMetricsOutReader.IlluminaTileMetrics next()

      Specified by:
        `next` in interface `Iterator<TileMetricsOutReader.IlluminaTileMetrics>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<TileMetricsOutReader.IlluminaTileMetrics>`